<?php

namespace Quivers\Integration\Model\Config\Source;

use Magento\Payment\Model\Method\AbstractMethod;
use Quivers\Integration\LogTracking;

class EnableStripe implements \Magento\Framework\Option\ArrayInterface
{
    const XML_QUIVERS_ACTIVE = 'quivers/parameters/active';
    protected $scopeConfig;

	public function __construct(
		\Magento\Framework\HTTP\Client\Curl $curl,
        \Magento\Framework\App\Config\ScopeConfigInterface $scopeConfig,
        \Magento\Framework\App\Request\Http $request
	) {
        $this->scopeConfig = $scopeConfig;
        $this->request = $request;
	}

    public function toOptionArray()
    {
        $storeScope = \Magento\Store\Model\ScopeInterface::SCOPE_STORE;
        $websiteScope = \Magento\Store\Model\ScopeInterface::SCOPE_WEBSITE;
        $debug_mod = $this->scopeConfig->getValue('quivers/parameters/quivers_debug_mode', $storeScope);
        $log = new LogTracking($this->scopeConfig);
        $storeId = (int) $this->request->getParam('store',0);
        $websiteId = (int) $this->request->getParam('website',0);
        $quiversactive = 0;
        if($websiteId){
            $quiversactive = $this->scopeConfig->getValue(self::XML_QUIVERS_ACTIVE, $websiteScope,$websiteId);
        }else{
            $quiversactive = $this->scopeConfig->getValue(self::XML_QUIVERS_ACTIVE, $storeScope,$storeId);
        }
        
		if($debug_mod){
            $log->debug_mode_on(
				$debug_mod,'WebsiteId - '.$websiteId.' And QuiversActive - '.$quiversactive,
				null,null,null); 
        }
        if($quiversactive){
        return[
            [
                'value' => 1,
                'label' => __('Yes')
            ],[
                    'value' => 1,
                    'label' => __('No')
            ]
            ];
        }else{
            return
            [
                [
                    'value' => 0,
                    'label' => __('No')
                ],[
                        'value' => 0,
                        'label' => __('Yes')
                ]
                ];
        }
        
    }
}
